%global with_debug 0
%global with_check 0

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

%global provider github
%global provider_tld com
%global project containers
%global repo conmon
# https://github.com/containers/conmon
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global git0 https://%{import_path}

Name: %{repo}
Epoch: 2
Version: 2.0.20
Release: 2%{?dist}
Summary: OCI container runtime monitor
License: ASL 2.0
URL: %{git0}
Source0: %{git0}/archive/v%{version}.tar.gz
BuildRequires: gcc
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: systemd-devel

%description
%{summary}.

%prep
%autosetup -Sgit

%build
export CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%{__make} all

%install
%{__make} PREFIX=%{buildroot}%{_prefix} install

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Tue Aug 11 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.20-2
- use proper CFLAGS
- Related: #1821193

* Wed Jul 29 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.20-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.20
- Related: #1821193

* Wed Jul 15 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.19-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.19
- Related: #1821193

* Tue Jun 16 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.18-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.18
- Related: #1821193

* Tue May 26 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.17-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.17
- Related: #1821193

* Wed May 13 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.16-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.16
- Related: #1821193

* Tue May 12 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.15-2
- synchronize containter-tools 8.3.0 with 8.2.1
- Related: #1821193

* Mon Apr 06 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.15-1
- update to 2.0.15
- Related: #1821193

* Wed Dec 11 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.6-1
- update to 2.0.6
- Related: RHELPLAN-25139

* Tue Dec 10 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.5-1
- update to 2.0.5
- Related: RHELPLAN-25139

* Mon Dec 09 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.4-1
- update to 2.0.4 bugfix release
- Related: RHELPLAN-25139

* Mon Nov 25 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.3-2.giteb5fa88
- BR: systemd-devel
- Related: RHELPLAN-25139

* Wed Nov 20 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.3-1.giteb5fa88
- update to 2.0.3
- Related: RHELPLAN-25139

* Wed Sep 25 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.2-0.1.dev.git422ce21
- build latest upstream master

* Tue Sep 10 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.0-2
- remove BR: go-md2man since no manpages yet

* Tue Sep 10 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.0-1
- bump to v2.0.0

* Fri May 31 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:0.2.0-1
- initial package
